#
# spec file for package mgetty (Version 1.1.33)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd latex-ucs less libacl libattr libcom_err libgcc libjpeg libnetpbm libnscd libpng libstdc++ libtiff libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg netpbm openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd te_ams te_latex tetex texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           mgetty
BuildRequires:  netpbm te_ams te_latex
Version:        1.1.33
Release:        16.2
PreReq:         %install_info_prereq filesystem
Requires:       g3utils
Autoreqprov:    on
Group:          Hardware/Fax
License:        GPL, Other License(s), see package
URL:            ftp://alpha.greenie.net/pub/mgetty/source/
Summary:        Mgetty Listens for Data, Fax, or Voice Calls on a Serial Line
Source0:        %{name}%{version}-Apr10.tar.gz
Source1:        %{name}%{version}-Apr10.tar.gz.asc
Source2:        logrotate
Patch0:         %{name}-%{version}.diff
Patch1:         %{name}-%{version}-local.diff
Patch5:         %{name}-%{version}-faxspool.secfix
Patch7:         %{name}-%{version}-specialdigits.diff
Patch8:         %{name}-%{version}-overflow.diff
Patch9:         %{name}-%{version}-printf.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package turns your computer into a fax machine. With some voice
modems (Zyxel, Rockwell, and USR), you can even use your computer as an
answering machine.

Mgetty recognizes what kind of call it is receiving and does everything
else automatically. It is able to accept data (login/PPP), fax, and
(depending on your modem) voice calls. Find the documentation in
/usr/share/doc/packages/mgetty and TeX Info files in /usr/share/info.

The configuration files are in /etc/mgetty+sendfax.



Authors:
--------
    Gert Dring <gert@greenie.muc.de>

%debug_package
%package -n sendfax
Conflicts:      hylafax
Requires:       mgetty g3utils
Summary:        A Tool for Sending Fax Documents
Group:          Hardware/Fax
Provides:       fax_daemon
PreReq:         /usr/sbin/useradd permissions
Autoreqprov:    on

%description -n sendfax
The sendfax part of mgetty. You can use it instead of hylafax for
sending faxes. The sources are included in the mgetty source package.



Authors:
--------
    Gert Dring <gert@greenie.muc.de>

%package -n g3utils
Summary:        Tools for the G3 (Fax) Graphics Format
Group:          Hardware/Fax
Autoreqprov:    on

%description -n g3utils
These utilities convert graphics files from the G3 format into the
general- purpose PBM format and back, so you can print or manipulate
them. G3 is used by fax modems and machines.

The g3utils are included in the mgetty source package.



Authors:
--------
    Gert Dring <gert@greenie.muc.de>

%prep
%setup -q
%patch
%patch1
%patch5
%patch7
%patch8
%patch9

%build
ln -s policy.h-dist policy.h
make OPTFLAGS="$RPM_OPT_FLAGS"
make -C voice CFLAGS="$RPM_OPT_FLAGS -DAUTO_PPP"

%install
/usr/sbin/useradd -r -o -g uucp -u 33 -s /bin/bash -c "Facsimile agent" -d /var/spool/fax fax 2> /dev/null || :
make install DESTDIR=$RPM_BUILD_ROOT
install samples/new_fax.mail $RPM_BUILD_ROOT/etc/mgetty+sendfax/new_fax
ln -sf ../../../etc/mgetty+sendfax/new_fax $RPM_BUILD_ROOT/usr/lib/mgetty+sendfax/
make install -C voice DESTDIR=$RPM_BUILD_ROOT
install -m 644 voice/voice.conf-dist $RPM_BUILD_ROOT/etc/mgetty+sendfax/voice.conf
mkdir -p $RPM_BUILD_ROOT/var/spool/voice/{incoming,messages} $RPM_BUILD_ROOT%{_docdir}/mgetty/voice
install -m 644 [BFRT]* doc/ttyS-cua.txt $RPM_BUILD_ROOT%{_docdir}/mgetty/
install -m 644 voice/[ART]* voice/doc/* $RPM_BUILD_ROOT%{_docdir}/mgetty/voice/
mkdir -p $RPM_BUILD_ROOT%{_docdir}/mgetty/samples
for name in samples/*; do if test ! -d $name; then install $name $RPM_BUILD_ROOT%{_docdir}/mgetty/samples; fi; done
mkdir -p $RPM_BUILD_ROOT%{_docdir}/mgetty/samples/new_fax.all
install samples/new_fax.all/* $RPM_BUILD_ROOT%{_docdir}/mgetty/samples/new_fax.all/
cd voice && cp -R scripts $RPM_BUILD_ROOT%{_docdir}/mgetty/voice/
chmod 755 $RPM_BUILD_ROOT%{_docdir}/mgetty/voice/scripts/*
#cp -pf /usr/X11R6/bin/pbmtext $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 644 %{S:2} $RPM_BUILD_ROOT/etc/logrotate.d/mgetty

%pre -n sendfax
/usr/sbin/useradd -r -o -g uucp -u 33 -s /bin/bash -c "Facsimile agent" -d /var/spool/fax fax 2> /dev/null || :
/bin/touch /var/log/sendfax.log
chown fax:uucp /var/log/sendfax.log
chmod 664 /var/log/sendfax.log

%post -n sendfax
%run_permissions

%verifyscript -n sendfax
%verify_permissions -e /var/spool/fax/outgoing

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%dir /etc/mgetty+sendfax
%doc %{_docdir}/mgetty
%dir /var/spool/voice
%dir /var/spool/voice/incoming
%dir /var/spool/voice/messages
%config(noreplace) /etc/logrotate.d/mgetty
%config(noreplace) /etc/mgetty+sendfax/dialin.config
%config(noreplace) /etc/mgetty+sendfax/login.config
%config(noreplace) /etc/mgetty+sendfax/mgetty.config
%config(noreplace) /etc/mgetty+sendfax/voice.conf
/usr/bin/autopvf
/usr/bin/basictopvf
/usr/bin/lintopvf
/usr/bin/newslock
/usr/bin/pvfamp
/usr/bin/pvfcut
/usr/bin/pvfecho
/usr/bin/pvffft
/usr/bin/pvffile
/usr/bin/pvffilter
/usr/bin/pvfmix
/usr/bin/pvfnoise
/usr/bin/pvfreverse
/usr/bin/pvfsine
/usr/bin/pvfspeed
/usr/bin/pvftoau
/usr/bin/pvftobasic
/usr/bin/pvftolin
/usr/bin/pvftormd
/usr/bin/pvftovoc
/usr/bin/pvftowav
/usr/bin/rmdfile
/usr/bin/rmdtopvf
/usr/bin/sff2g3
/usr/bin/vm
/usr/bin/voctopvf
/usr/bin/wavtopvf
%doc %{_infodir}/mgetty.info*.gz
%doc %{_mandir}/man1/autopvf.1.gz
%doc %{_mandir}/man1/basictopvf.1.gz
%doc %{_mandir}/man1/lintopvf.1.gz
%doc %{_mandir}/man1/pvf.1.gz
%doc %{_mandir}/man1/pvfamp.1.gz
%doc %{_mandir}/man1/pvfcut.1.gz
%doc %{_mandir}/man1/pvfecho.1.gz
%doc %{_mandir}/man1/pvffft.1.gz
%doc %{_mandir}/man1/pvffile.1.gz
%doc %{_mandir}/man1/pvffilter.1.gz
%doc %{_mandir}/man1/pvfmix.1.gz
%doc %{_mandir}/man1/pvfnoise.1.gz
%doc %{_mandir}/man1/pvfreverse.1.gz
%doc %{_mandir}/man1/pvfsine.1.gz
%doc %{_mandir}/man1/pvfspeed.1.gz
%doc %{_mandir}/man1/pvftoau.1.gz
%doc %{_mandir}/man1/pvftobasic.1.gz
%doc %{_mandir}/man1/pvftolin.1.gz
%doc %{_mandir}/man1/pvftormd.1.gz
%doc %{_mandir}/man1/pvftovoc.1.gz
%doc %{_mandir}/man1/pvftowav.1.gz
%doc %{_mandir}/man1/sff2g3.1.gz
%doc %{_mandir}/man1/rmdfile.1.gz
%doc %{_mandir}/man1/rmdtopvf.1.gz
%doc %{_mandir}/man1/voctopvf.1.gz
%doc %{_mandir}/man1/wavtopvf.1.gz
%doc %{_mandir}/man1/zplay.1.gz
%doc %{_mandir}/man4/mgettydefs.4.gz
%doc %{_mandir}/man8/callback.8.gz
%doc %{_mandir}/man8/mgetty.8.gz
%doc %{_mandir}/man8/vgetty.8.gz
/usr/sbin/mgetty
/usr/sbin/vgetty
# Note: This was erroneously in sendfax subpackage and the %config was missing
%config(noreplace) /etc/mgetty+sendfax/new_fax
%config /usr/lib/mgetty+sendfax/new_fax

%files -n g3utils
/usr/bin/g32pbm
/usr/bin/g3cat
/usr/bin/g3topbm
/usr/bin/pbm2g3
%doc %{_mandir}/man1/g32pbm.1.gz
%doc %{_mandir}/man1/g3cat.1.gz
%doc %{_mandir}/man1/pbm2g3.1.gz

%files -n sendfax
%dir /etc/mgetty+sendfax
%dir /usr/lib/mgetty+sendfax
%dir /var/spool/fax
%dir /var/spool/fax/incoming
#%attr(0755,fax,root)
%verify(not mode) %dir /var/spool/fax/outgoing
#%dir /var/spool/fax/outgoing/locks
%config(noreplace) /etc/mgetty+sendfax/faxheader
%config(noreplace) /etc/mgetty+sendfax/faxrunq.config
%config(noreplace) /etc/mgetty+sendfax/sendfax.config
%config /etc/mgetty+sendfax/faxspool.rules.sample
/usr/bin/faxq
/usr/bin/faxrm
/usr/bin/faxrunq
/usr/bin/faxspool
#/usr/bin/pbmtext
/usr/sbin/faxrunqd
/usr/sbin/sendfax
/usr/lib/mgetty+sendfax/new_fax
#%attr(-,fax,root) 
/usr/lib/mgetty+sendfax/faxq-helper
/usr/lib/mgetty+sendfax/cour25.pbm
/usr/lib/mgetty+sendfax/cour25n.pbm
%doc %{_mandir}/man1/fax.1.gz
%doc %{_mandir}/man1/faxq.1.gz
%doc %{_mandir}/man1/faxrm.1.gz
%doc %{_mandir}/man1/faxrunq.1.gz
%doc %{_mandir}/man1/faxspool.1.gz
%doc %{_mandir}/man1/coverpg.1.gz
%doc %{_mandir}/man5/faxqueue.5.gz
%doc %{_mandir}/man8/faxrunqd.8.gz
%doc %{_mandir}/man8/sendfax.8.gz

%changelog -n mgetty
* Mon Feb 27 2006 - anicka@suse.cz
- fix #151487 (printf problem)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Aug 11 2005 - mmj@suse.de
- install the right logrotate file [#103789]
* Wed Aug 03 2005 - mjancar@suse.cz
- update to 1.1.33
* Tue Jun 14 2005 - meissner@suse.de
- use RPM_OPT_FLAGS.
- fixed 1 single byte overflow (harmless)
* Tue Feb 08 2005 - kkeil@suse.de
- allow '#' and '*' in faxspool phone numbers (#26060)
* Thu Jan 13 2005 - pth@suse.de
- fix calls of trap in faxrunq.
* Thu Nov 11 2004 - ro@suse.de
- permissions handling fixes (/var/spool/fax/outgoing)
* Tue Aug 10 2004 - tcrhak@suse.cz
- update to 1.1.31
* Thu Apr 01 2004 - kkeil@suse.de
- fix possible security problem in faxspool script (#36416)
* Wed Mar 17 2004 - meissner@suse.de
- ported to ppc64
* Fri Dec 12 2003 - schwab@suse.de
- Fix file list.
* Fri Sep 19 2003 - kukuk@suse.de
- Add missing PreRequires
* Wed Sep 17 2003 - kkeil@suse.de
- package must create sendfax.log since only root can do it(#31135)
* Wed Sep 17 2003 - kukuk@suse.de
- sendfax should create fax user, not mgetty
* Tue Aug 05 2003 - tcrhak@suse.cz
- run faxq-helper under user fax
- outgoing queue owned by fax
- fixed path to faxq-helper in scripts faxrm and faxq
* Thu Jun 12 2003 - kukuk@suse.de
- Fix filelist (add missing binaries, info pages and directories)
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Feb 25 2003 - tcrhak@suse.cz
- added dircategory and direntry tags to the texinfo file
  (patch direntry)
* Fri Feb 14 2003 - tcrhak@suse.cz
- added install_info macros
* Thu Jan 23 2003 - kkeil@suse.de
- create /etc/logrotate.d in buildroot
* Thu Jan 23 2003 - tcrhak@suse.cz
- update to version 1.1.30
- added logrotate config to the package
* Sat Nov 23 2002 - kkeil@suse.de
- varargs.h ---> stdarg.h for new GCC
* Tue May 21 2002 - ro@suse.de
- recognize x86_64 as 64bit arch
* Fri Feb 01 2002 - postadal@suse.cz
- fix specfile
* Wed Jan 30 2002 - postadal@suse.cz
- Update to mgetty-1.1.28. (#9387)  Highlights:
  * patch to adapt to Linux/S390
  * add swedish ZyXEL caller ID format (T. Lundgren)
  * adaptions to OpenBSD
  * a lot of changes is in voice see voice/ChangeLog
* Thu Jul 26 2001 - garloff@suse.de
- Move coverpg manpage to the sendfax subpackage.
- Update to mgetty-1.1.26. (#9387)  Highlights:
  * Better caller-ID handling
  * new viewfax
  * security precautions (O_EXCL, mkstemp)
  * Support multiple fax storage dirs
  * Voice support improved (0.9.27): Support
- mu-law PCM (ZyXEL 2864)
- Lucent-based Modem Blaster USB
- V253modem (improvements)
- internal modem MultiTech MT5634ZPX-PCI
- Rockwell Spirit Cobra
- TP560 Data/Fax/Voice 56K Modem / Supra56ePRO
  * ... and of course: many bugfixes
* Thu Mar 08 2001 - garloff@suse.de
- tmpfile security fix shadowed file descriptor, thus causing
  failure of fax receiving. Thanks to Wilhelm Spickermann
  for reporting. (bugzilla #6641).
* Thu Dec 07 2000 - garloff@suse.de
- Also include patch to fix paths from /usr/local to real places.
* Thu Dec 07 2000 - garloff@suse.de
- tmpfile security fix (faxrecp)
* Thu Dec 07 2000 - garloff@suse.de
- Update to 1.1.22-Aug17:
  * Inclusion of V.250/3 voice modem support
  * faxrunqd .last_run symlink vulnerability fixed
  * more bugfixes ...
* Tue Nov 28 2000 - kukuk@suse.de
- Fix neededforbuild (libnetpb -> libnetpbm)
* Wed Sep 13 2000 - schwab@suse.de
- Fix compilation on ia64.
* Thu Jun 29 2000 - garloff@suse.de
- new_fax script moved to mgetty subpackage and marked %%(config)
  (Bug reported by Robert Griebl). Consequently moved to
  /etc/mgetty+sendfax/
- made most %%config files (noreplace)
* Tue May 23 2000 - garloff@suse.de
- pbmtext hack removed.
- Install samples into %%{_docdir}/mgetty/samples.
* Mon May 22 2000 - garloff@suse.de
- Fix RPM_BUILD_ROOT dir.
* Fri May 19 2000 - garloff@suse.de
- Use BuildRoot.
- Get rid of Makefile.Linux
* Fri May 19 2000 - garloff@suse.de
- Use macros for %%{_docdir} etc.
* Tue Feb 22 2000 - garloff@suse.de
- merged ROs linux/types.h diff.
* Fri Feb 18 2000 - garloff@suse.de
- Update to mgetty-1.1.21.
* Wed Jan 19 2000 - ro@suse.de
- include linux/types before linux/serial
- man, info -> usr/share
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 20 1999 - ro@suse.de
- sendfax: added Provides fax_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 06 1999 - garloff@suse.de
- created subpackage g3utils. Added home site to .spec
* Wed Mar 17 1999 - ro@suse.de
- remove .orig with -f
* Mon Jan 25 1999 - uli@suse.de
- update 1.1.18 -> 1.1.19
- fixed typo in frontends/dialog/faxv.in code
* Fri Oct 02 1998 - ro@suse.de
- remove origs in voice/scripts
* Thu Oct 01 1998 - ro@suse.de
- added tmp-fix for frontends/dialog/faxv.in
  and for voice/scripts/dtmf.sh (both from werner)
- voice/scripts removed local from shell-paths (/usr/bin/vm)
* Thu Oct 01 1998 - ro@suse.de
- update to 1.1.18
* Thu Jul 23 1998 - werner@suse.de
- Use mktemp for tmp files
* Tue Nov 11 1997 - ro@suse.de
- sendfax builds from same spec
  pbmtext is copied from netpbm package
  fixed dependency to /usr/local/bin/vm
* Wed Jul 30 1997 - florian@suse.de
- update to mgetty 1.1.8 (security fixes in sendfax scripts)
* Mon Jun 02 1997 - florian@suse.de
- update to version 1.1.6
- make "sendfax.tgz" as an extra binary package
- include voice getty
- include pbmtext from netpbm, so you don't have to install the big
  netpbm package for using sendfax
* Thu Jan 02 1997 - bs@suse.de
  recompiled with -DAUTO_PPP
* Thu Jan 02 1997 - florian@suse.de
- update to 0.99.3
* Thu Jan 02 1997 - florian@suse.de
- update to version 0.99.2
- config files are now in /etc/mgetty+sendfax
